# $Revision: 1.21 $, $Date: 2004/04/26 19:03:13 $
Summary:	A tool which displays the status of serial port modem lines
Summary(de):	zeigt den Status der seriellen Leitungen in einem Terminal an
Summary(es):	Ensea el estado de una lnea serial en un terminal
Summary(fr):	Affiche l'tat des lignes srie dans un terminal
Summary(pl):	Narzdzie wywietlajce stan linii modemowych portu szeregowego
Summary(pt_BR):	Mostra o estado de uma linha serial em um terminal
Summary(ru):	    
Summary(tr):	Bir ubirimde seri hatlarn durumlarn gsterir
Summary(uk):	  Ҧ Ԧ 
Summary(zh_CN):	һʾڵƽ״̬Ĺ
Name:		statserial
Version:	1.1
Release:	32
License:	BSD
Group:		Applications/System
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/serial/%{name}-%{version}.tar.gz
# Source0-md5:	bcd90fb0881c64024396bf1070de7e64
Patch0:		%{name}-config.patch
Patch1:		%{name}-dev.patch
BuildRequires:	ncurses-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The statserial utility displays a table of the signals on a standard
9-pin or 25-pin serial port and indicates the status of the
handshaking lines. Statserial is useful for debugging serial port
and/or modem problems.

Install the statserial package if you need a tool to help debug serial
port or modem problems.

%description -l de
Statserial zeigt eine Tabelle mit den Signalen auf einem
Standard-9-Pin oder 25-Pin seriellen Port an und meldet den Status der
Handshaking- Leitungen. Ntzlich zum Debuggen von Problemen mit
seriellen Ports oder Modems.

%description -l es
Statserial ensea una tabla de las seales en un puerto serial padrn
de 9 o 25 pinos y indica el estado de las lneas de handshaking. Puede
ser til en la depuracin de problemas con puertos seriales o mdems.

%description -l fr
Statserial affiche une table des signaux sur un port srie standard 9
ou 25 broches, et indique l'tat des lignes relies. il peut tre
utile pour dboguer des problmes de port srie ou de modem.

%description -l pl
Statserial jest narzdziem wywietlajcym tabel sygnaw w
standardowym 9 lub 25 pinowym zczu portu szeregowego i pokazujcym
aktualny stan linii sterujcych przepywem. Statserial jest uyteczny
przy usuwaniu bdw konfiguracji portu szeregowego i/lub modemu.

%description -l pt_BR
Statserial mostra uma tabela dos sinais em uma porta serial padro de
9 ou 25 pinos e indica o status das linhas de handshaking. Pode ser
til na depurao de problemas com portas seriais ou modems.

%description -l ru
Statserial      
 DB9  DB25     . 
       
.

%description -l tr
Statserial, seri balant noktas zerindeki iaretlerin bir tablosunu
gsterir ve elskma hatlarnn durumunu belirtir. Seri balant
noktalar ya da modemlerle ilgili hatalar belirlemekte
kullanlabilir.

%description -l uk
Statserial צ  ̦   Ҧ
 DB9  DB25    ̦Φ.    
    Ҧ   .

%prep
%setup -q
%patch0 -p1
%patch1 -p1
sed 's/CFLAGS.*=.*//' Makefile > Makefile.new
mv -f Makefile.new Makefile

%build
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install statserial   $RPM_BUILD_ROOT%{_bindir}/statserial
install statserial.1 $RPM_BUILD_ROOT%{_mandir}/man1/statserial.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/statserial
%{_mandir}/man1/statserial.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: statserial.spec,v $
Revision 1.21  2004/04/26 19:03:13  adamg
- release 32 for Ac (31 is for Ra)

Revision 1.20  2003/05/28 13:02:04  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:27:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2002/12/02 11:06:27  ankry
- massive cleaning

Revision 1.17  2002/07/29 21:39:23  kloczek
- release 31,
- merge translations from Conectiva, TurboLinux and KSI,
- use new %doc.

Revision 1.16  2002/02/25 06:24:09  kloczek
- release 24.

Revision 1.15  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:45  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:15:04  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/04/07 14:00:26  kloczek
- release 23: use %%{rpmcflags}.

Revision 1.11  2001/01/25 20:03:49  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2000/12/30 23:11:34  kloczek
- cosmetics in %files.

Revision 1.9  2000/12/28 15:22:47  baggins
- release 22
- fixed CFLAGS

Revision 1.8  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.7  2000/12/22 16:04:19  kloczek
- merge old BeroLinux de, fr, tr translations.

Revision 1.6  2000/12/22 15:39:53  kloczek
- release 21,
- merge dev patch from RH,
- make spec %%{debug} ready.

Revision 1.5  2000/12/20 23:16:17  marcus
- added Polish summary and description
- rewrited %install section
- added documentation (README,ChangeLog)
- adapterized
- release 14

Revision 1.4  2000/06/09 07:55:11  kloczek
- more %%{__make} macros.

Revision 1.3  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.2  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 13)

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root
- include arch sparc

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
